Page 10 of 10

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Sat Dec 09, 2017 1:01 am
by mapx
It's a known issue in mozilla house => legacy addons cannot fully work together with webextensions.

More, your version (52) is too old to run ok with the new extensions.

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Wed Sep 05, 2018 2:34 pm
by abpuser12
So I just updated Firefox and ABP today, and for my surprise it is not blocking facebook comments plugin on sites anymore, how can I fix this? Why would anyone do this

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Wed Sep 05, 2018 3:53 pm
by mapx
Did you subscribed the social list ?

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Mon Oct 29, 2018 8:40 pm
by karimovic
In the event that you introduce specifically from the landing page it introduces v2.9.1 as opposed to 3.0. Furthermore, on the off chance that you go into additional items chief and hit "Choices" for Adblock Plus you can kill programmed refreshes, keeping the move up to 3.0 once more

Re: Adblockplus 3.0

PostPosted: Fri Jun 28, 2019 4:37 pm
by fade011
wspee wrote:
Sorry to disappoint you. We we are planning to bring back the missing features over time.

As @mapx pointed out the list of filterable items is still available via the development tools (F12 then "Adblock Plus", F5 to refresh the list).

Unfortunately the only way to use v2 is to use an outdated Firefox version (<v57).


Hi. I know this is outdated, but maybe someone can help me: How do i install v2 on firefox 52?

https://adblockplus.org/releases/adbloc ... a-released
"Install Adblock Plus 2.3 for Firefox" on previous url redirects to adblockplus home, wich installs v3 of abp

https://addons.mozilla.org/en-US/firefo ... /versions/
shows only v3 versions

I work with an old ffox 43 (where old version 2 works perfect) for some specific things i need an I need ffox 52 in another os, and cant install there. Is there a way to copy installed plugin form one version to another?

Thank you in advance.

By the way... hope next ABP version comes with v2 ui functionality as many other people do. V3 is useless for me too :(

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Fri Jun 28, 2019 4:46 pm
by mapx
well, I guess you have not many choices.

go here: https://github.com/gorhill/uBlock/relea ... -1.16.4.11
and try uBo (ublock origin) legacy (so .. dedicated to old firefox installations).

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Fri Jun 28, 2019 9:05 pm
by fade011
Thanks for the help mapx but solved it in a simple way:

From ffox 43 to ffox 52
Did a copy of installed abp extension from first to second profile (/profile/"whatever"/extensions)
Same with with patterns.ini and elemhide.css (/profile/"whatever"/adblockplus)

Launched ffox 52 and it prompted to install abp (2.8.2 wich was mine), did so and succeded. Everything works fine.

Hope this get useful to someone else.
note: "whatever" is your profile in case you need to do the same. You need to create folders when necesary.

And remember to disable abp addon automatic updates on firefox.

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Tue Jul 23, 2019 4:24 pm
by Charles Hewitt
mapx wrote:well, I guess you have not many choices.

go here: https://github.com/gorhill/uBlock/relea ... -1.16.4.11
and try uBo (ublock origin) legacy (so .. dedicated to old firefox installations).

And why is this only way out? I think there are at least 2 options that will be a solution to the problem.

Re: Issues in the new ABP (version 3) for firefox

PostPosted: Tue Jul 23, 2019 5:09 pm
by greiner
Don't know how helpful it is but you can find and download any past version of Adblock Plus at https://hg.adblockplus.org/downloads/file (see "adblockplus-*.xpi" files) and the same for Firefox at https://ftp.mozilla.org/pub/firefox/releases/.